import { product, hpczone, getDataFileToken } from "@/api/project_api";

export const getProjectList = async () => {
  const res = await product({ product: "CADD" });
  return res.data;
};

// 设置文件服务器指向
export const setFileServerEndPointLocalStorage = async (zoneId: string) => {
  const res = await hpczone();
  let fileServerEndPoint = "";
  if (Array.isArray(res)) {
    res.forEach((item: any) => {
      if (item.id === zoneId) {
        fileServerEndPoint = item.storageConfig.fileServerEndPoint;
      }
    });
    localStorage.setItem("fileServerEndPoint", fileServerEndPoint);
  }
};

// 根据项目id获取文件token
export const getFiletokenAccordingToId = async (projectId: string) => {
  const res = await getDataFileToken({ id: projectId });
  return res.data;
};
